Ubuntu 二叉树排序 volatile reactjs csv canvas replace electron vue路由 vue响应式 支付网站建设 bootstrap侧边栏 matlab四舍五入 mysql设置自增初始值 mysql汉化包 axure导出html文件 python最大值 python库 python调用函数 filejava java基本类型 java中scanner用法 java流程 java判断是否为空 怎么安装linux linux镜像安装 unix操作系统下载 allowoverride keytool下载 dll之家 cfqq网吧任务 dll下载 系统工具箱 dxsetup 文字转语音软件免费版 华为手机刷公交卡 俄罗斯方块代码 什么是人肉搜索 流媒体下载 jsp源码
当前位置: 首页 > 学习教程  > 编程语言

[Python相关-qqbot] 几个bot相关的异常

2020/11/4 14:00:10 文章标签:

前言 记录下几个bot使用过程中的几个异常. qqbot fatal: not a git repository (or any of the parent directories): .git invalid literal for int() with base 10: 无法检测版本[v3.6.6] 初始化完成,启动服务... Running on http://0.0.0.0:9222 (CTRL C to …

前言

记录下几个bot使用过程中的几个异常.


qqbot

fatal: not a git repository (or any of the parent directories): .git
invalid literal for int() with base 10: ''
无法检测版本[v3.6.6]
初始化完成,启动服务...
Running on http://0.0.0.0:9222 (CTRL + C to quit)
[2020-11-03 21:58:09,222] Running on http://0.0.0.0:9222 (CTRL + C to quit)
Task exception was never retrieved
future: <Task finished name='Task-1' coro=<Consult.update_nicknames() done, defined at /Users/sean/.Trash/src/client/ybplugins/jjc_consult.py:55> exception=RuntimeError("错误Cannot connect to host gitee.com:443 ssl:True [SSLCertVerificationError: (1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1124)')]")>
Traceback (most recent call last):
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/aiohttp/connector.py", line 971, in _wrap_create_connection
    return await self._loop.create_connection(*args, **kwargs)  # type: ignore  # noqa
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/asyncio/base_events.py", line 1050, in create_connection
    transport, protocol = await self._create_connection_transport(
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/asyncio/base_events.py", line 1080, in _create_connection_transport
    await waiter
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/asyncio/sslproto.py", line 529, in data_received
    ssldata, appdata = self._sslpipe.feed_ssldata(data)
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/asyncio/sslproto.py", line 189, in feed_ssldata
    self._sslobj.do_handshake()
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/ssl.py", line 944, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1124)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/Users/sean/.Trash/src/client/ybplugins/jjc_consult.py", line 58, in update_nicknames
    async with aiohttp.request('GET', self.Nicknames_csv) as resp:
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/aiohttp/client.py", line 1168, in __aenter__
    self._resp = await self._coro
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/aiohttp/client.py", line 527, in _request
    conn = await self._connector.connect(
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/aiohttp/connector.py", line 537, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/aiohttp/connector.py", line 894, in _create_connection
    _, proto = await self._create_direct_connection(req, traces, timeout)
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/aiohttp/connector.py", line 1053, in _create_direct_connection
    raise last_exc
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/aiohttp/connector.py", line 1022, in _create_direct_connection
    transp, proto = await self._wrap_create_connection(
  File "/Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/aiohttp/connector.py", line 973, in _wrap_create_connection
    raise ClientConnectorCertificateError(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorCertificateError: Cannot connect to host gitee.com:443 ssl:True [SSLCertVerificationError: (1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1124)')]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/sean/.Trash/src/client/ybplugins/jjc_consult.py", line 66, in update_nicknames
    raise RuntimeError('错误'+str(e))
RuntimeError: 错误Cannot connect to host gitee.com:443 ssl:True [SSLCertVerificationError: (1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1124)')]

个人认为这个可能是自动检测更新功能. 不影响正常使用.(因为直接下的包.所以没有.git文件夹)

[1]. 爬虫遇到的问题ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed

[2]. python使用requests库发送https请求报错:SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED]


  • python3 urllib.error.URLError解决方法
    这个感觉和github的访问有关. 使用科学上网可以解决.
    [1]. python3 urllib.error.URLError解决方法
    [2]. python3 爬虫https的坑 – 已解决

  • 莫名奇妙的权限问题 PermissionError: [Errno 13] Permission denied
    成功解决PermissionError: [Errno 13] Permission denied


本文链接: http://www.dtmao.cc/news_show_350056.shtml

附件下载

相关教程

    暂无相关的数据...

共有条评论 网友评论

验证码: 看不清楚?